@echo off

REM   ServiceMix shell script
REM
REM   $Id: servicemix.bat,v 1.4 2005/07/30 05:10:54 myap Exp $
REM
REM   This script is heavily based on the Ant script
REM
REM   Copyright (c) 2001-2003 The Apache Software Foundation.  All rights
REM   reserved.

if exist "%HOME%\servicemixrc_pre.bat" call "%HOME%\servicemixrc_pre.bat"

if "%OS%"=="Windows_NT" @setlocal

rem %~dp0 is expanded pathname of the current script under NT
set DEFAULT_SERVICEMIX_HOME=%~dp0..

if "%SERVICEMIX_HOME%"=="" set SERVICEMIX_HOME=%DEFAULT_SERVICEMIX_HOME%
set DEFAULT_SERVICEMIX_HOME=

rem Slurp the command line arguments. This loop allows for an unlimited number
rem of arguments (up to the command line limit, anyway).
set SERVICEMIX_CMD_LINE_ARGS=%1
if ""%1""=="""" goto doneStart
shift
:setupArgs
if ""%1""=="""" goto doneStart
set SERVICEMIX_CMD_LINE_ARGS=%SERVICEMIX_CMD_LINE_ARGS% %1
shift
goto setupArgs
rem This label provides a place for the argument list loop to break out 
rem and for NT handling to skip to.

:doneStart
rem find SERVICEMIX_HOME if it does not exist due to either an invalid value passed
rem by the user or the %0 problem on Windows 9x
if exist "%SERVICEMIX_HOME%\README.txt" goto checkJava

rem check for servicemix in Program Files on system drive
if not exist "%SystemDrive%\Program Files\servicemix" goto checkSystemDrive
set SERVICEMIX_HOME=%SystemDrive%\Program Files\servicemix
goto checkJava

:checkSystemDrive
rem check for servicemix in root directory of system drive
if not exist %SystemDrive%\servicemix\README.txt goto checkCDrive
set SERVICEMIX_HOME=%SystemDrive%\servicemix
goto checkJava

:checkCDrive
rem check for servicemix in C:\servicemix for Win9X users
if not exist C:\servicemix\README.txt goto noAntHome
set SERVICEMIX_HOME=C:\servicemix
goto checkJava

:noAntHome
echo SERVICEMIX_HOME is set incorrectly or servicemix could not be located. Please set SERVICEMIX_HOME.
goto end

:checkJava
set _JAVACMD=%JAVACMD%
set LOCALCLASSPATH=%CLASSPATH%

set JAVA_EXT_DIRS=%JAVA_HOME%\lib\ext;%SERVICEMIX_HOME%;%SERVICEMIX_HOME%\lib;%SERVICEMIX_HOME%\lib\optional

if "%JAVA_HOME%" == "" goto noJavaHome
if not exist "%JAVA_HOME%\bin\java.exe" goto noJavaHome
if "%_JAVACMD%" == "" set _JAVACMD=%JAVA_HOME%\bin\java.exe
goto runAnt

:noJavaHome
if "%_JAVACMD%" == "" set _JAVACMD=java.exe
echo.
echo Warning: JAVA_HOME environment variable is not set.
echo.

:runAnt

if "%SERVICEMIX_OPTS%" == "" set SERVICEMIX_OPTS=-Xmx512M -Dderby.system.home="..\var" -Dderby.storage.fileSyncTransactionLog=true -Dorg.apache.commons.logging.Log=org.apache.commons.logging.impl.SimpleLog

REM Uncomment to enable YourKit profiling
REM SET SERVICEMIX_DEBUG_OPTS="-Xrunyjpagent"

REM Uncomment to enable remote debugging
REM SET SERVICEMIX_DEBUG_OPTS=-Xdebug -Xnoagent -Djava.compiler=NONE -Xrunjdwp:transport=dt_socket,server=y,suspend=n,address=5005

set LOCALCLASSPATH=%SERVICEMIX_HOME%\conf;%LOCALCLASSPATH%


"%_JAVACMD%" %SERVICEMIX_DEBUG_OPTS% %SERVICEMIX_OPTS% -Djava.ext.dirs="%JAVA_EXT_DIRS%" -classpath "%LOCALCLASSPATH%" -Dservicemix.home="%SERVICEMIX_HOME%" org.servicemix.Main %SERVICEMIX_ARGS% %SERVICEMIX_CMD_LINE_ARGS%

goto end


:end
set LOCALCLASSPATH=
set _JAVACMD=
set SERVICEMIX_CMD_LINE_ARGS=

if "%OS%"=="Windows_NT" @endlocal

:mainEnd
if exist "%HOME%\servicemixrc_post.bat" call "%HOME%\servicemixrc_post.bat"

